package com.ruoyi.system.mapper.visit.dr;

import com.ruoyi.system.domain.visit.dr.VisitDrTaskCompany;
import com.ruoyi.system.domain.visit.dr.VisitDrTaskCompanyExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VisitDrTaskCompanyMapper {
    long countByExample(VisitDrTaskCompanyExample example);

    int deleteByExample(VisitDrTaskCompanyExample example);

    int deleteByPrimaryKey(String id);

    int insert(VisitDrTaskCompany record);

    int insertSelective(VisitDrTaskCompany record);

    List<VisitDrTaskCompany> selectByExample(VisitDrTaskCompanyExample example);

    VisitDrTaskCompany selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") VisitDrTaskCompany record, @Param("example") VisitDrTaskCompanyExample example);

    int updateByExample(@Param("record") VisitDrTaskCompany record, @Param("example") VisitDrTaskCompanyExample example);

    int updateByPrimaryKeySelective(VisitDrTaskCompany record);

    int updateByPrimaryKey(VisitDrTaskCompany record);
}